Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename own-or-env
%global enable_tests 1

Name:		nodejs-own-or-env
Version:	1.0.0
Release:	alt1_4
Summary:	Use an objects own property, or an environment variable

License:	ISC
URL:		https://github.com/isaacs/own-or-env
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(own-or)
%if 0%{?enable_tests}
#BuildRequires:	
%endif
Source44: import.info

%description
Use an objects own property, or an environment variable.  Optionally treat as a
boolean if the env should be set to 1 or 0.


%prep
%setup -q -n package


%nodejs_fixdep own-or '^1.0.0'

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json own-or-env.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node test.js
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_4
- new version

